package com.zd.laboratory.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;

/**
 * 逃生线路主对象 lab_exit_line
 *
 * @author zd
 * @date 2022-01-25
 */
@ApiModel("逃生线路主")
public class LabExitLine extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 所属教学楼id */
    @Excel(name = "所属教学楼id")
    @ApiModelProperty(value = "所属教学楼id")
    private Long lineDeptId;
    /** 楼层id */
    @Excel(name = "楼层id")
    @ApiModelProperty(value = "楼层id")
    private Long buildId;
    /** 指示灯方向（1 是左，2是右） */
    @Excel(name = "指示灯方向", readConverterExp = "1=,是=左，2是右")
    @ApiModelProperty(value = "指示灯方向")
    private Integer lightDirection;
    /** 创建人id */
    @Excel(name = "创建人id")
    @ApiModelProperty(value = "创建人id")
    private Long userId;
    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setBuildId(Long buildId)
    {
        this.buildId = buildId;
    }

    public Long getBuildId()
    {
        return buildId;
    }
    public void setLightDirection(Integer lightDirection)
    {
        this.lightDirection = lightDirection;
    }

    public Integer getLightDirection()
    {
        return lightDirection;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("buildId", getBuildId())
            .append("lightDirection", getLightDirection())
            .append("userId", getUserId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }

    public Long getLineDeptId() {
        return lineDeptId;
    }

    public void setLineDeptId(Long lineDeptId) {
        this.lineDeptId = lineDeptId;
    }
}
